#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-4E33q1HFNULG44yu9tgwgQ
key:                  ghcide-1.9.1.0-4E33q1HFNULG44yu9tgwgQ
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d5cf1a7250b7f1271c9a9419277c527d
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-4E33q1HFNULG44yu9tgwgQ
depends:
    Diff-0.4.1-8UyqguvbHVx2mEysvIA3a7
    Glob-0.10.2-DFOtQSag8FM5iGOMV8wkF7
    aeson-2.1.2.1-CCP80pZvZcA8gRL3g3IUms
    aeson-pretty-0.8.10-3vsckJxgN154JV9gl4tkuC array-0.5.4.0
    async-2.2.5-BrTWnMUC2zMDZ2E35FeCoi base-4.16.4.0
    base16-bytestring-1.0.2.0-FSVk3WmWsWvGvsAxOgii1R binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-GnsQmMXoRNL8LIaETetIqx
    co-log-core-0.3.2.2-LoIPTwl3MU3FwX9brRFY2O containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-7qMxDG1ufSRLaGF1mGAmDr
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dependent-map-0.4.0.0-AyT8hs8WeskJ3ZtHUQ666m
    dependent-sum-0.7.2.0-GXVGYF8WmQDAnqzeWcUHOS directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.2.0-6IS24j8qk0iCJhc8bXAmU exceptions-0.10.4
    extra-1.7.15-AGUYw6GbrLRLwm4dZiS6ZK filepath-1.4.2.2
    fingertree-0.1.5.0-ImK14dmgSCqHTUT7wJPZE
    focus-1.0.3.2-5YdaUCBcm5i8tZJG5jhHJY ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-7PvtUwMYnkqFqa7LTd4CX6
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-3rc8EskNis47nfDr6dExL1
    hashable-1.4.4.0-4qKxN3FrXfb4sBBhra6sdO
    hie-bios-0.11.0-E2euiedOHQS4UXDyEyRWBm
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-CEt7TuJPAMLJkrYJqOK4HA
    hls-graph-1.9.0.0-5vu6eVMTDgJEMkPs3GcHfs
    hls-plugin-api-1.6.0.0-DODO9m4X2vk4XKvLXn1Rnu
    hslogger-1.3.1.0-Dlp893psPsBFap7JYkW6bA
    implicit-hie-0.1.2.7-2Ovr5cKuTZZA6VZlqPC0q7
    implicit-hie-cradle-0.5.0.1-5EtzOlxSeeIBUmOgXd7jZl
    lens-5.2.3-9JgBadUMk8EJFrj4zp8J3r
    list-t-1.0.5.4-4s9wp4X9SEnG7m4jXoZQ8Q
    lsp-1.6.0.0-G8lK0z7QLLeI7S4hhuqfUC
    lsp-types-1.6.0.0-KGZtzgA9bn12Eki2a5rfv0 mtl-2.2.2
    opentelemetry-0.8.0-B1z3cWwwXzGHFwQTs1tIbF
    optparse-applicative-0.17.1.0-AgMeQrX7nmlDOnX2xcegDb
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-JBjLrVgtbAKFzfFvIOg7Ri
    prettyprinter-ansi-terminal-1.1.3-A91DnzDFi5j8IkxS9Dj820
    random-1.2.1.2-63YyeAkIomQIeqEHAnFCk1
    regex-tdfa-1.3.2.2-8Eko8V8XkdOF8ZvUlcVNQI
    safe-exceptions-0.1.7.4-CkOUg4kpq0SBPPq53qHhtx
    sorted-list-0.2.2.0-K0Gu0WCvKRIDwdTptNABgE
    sqlite-simple-0.4.19.0-GIFQJxRIoaYDiMQe2mF8ea stm-2.5.0.2
    stm-containers-1.2.0.3-34X1zP9onTt84LcrkHuHwy
    syb-0.7.2.4-89doc1zYrrWCF1u4CgIEo3 text-1.2.5.0
    text-rope-0.2-4ZBoIy9kyY22Yey9mop6N7 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-JnPcGA33aKnBemmBAMXZcn
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-A3yVeSkjdcGAgke7XFfywE
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

